// ----------------------------------------------------------------------------
//
//  Copyright (C) 2008-2017 Fons Adriaensen <fons@linuxaudio.org>
//    
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ----------------------------------------------------------------------------


#ifndef __STYLES_H
#define __STYLES_H

#include <clxclient.h>
#include "button.h"
#include "rotary.h"


enum
{
    C_MAIN_BG, C_MAIN_FG, C_MAIN_DL,
    C_FREQ_FG, C_GAIN_FG,
    C_PLOT_BG, C_PLOT_FG, C_PLOT_GR, C_PLOT_T1, C_PLOT_T2,
    NXFTCOLORS
};

enum
{
    F_TEXT,
    F_PLOT,
    NXFTFONTS
};


extern void styles_init (X_display *disp, X_resman *xrm);
extern void styles_fini (X_display *disp);

extern XftColor  *XftColors [NXFTCOLORS];
extern XftFont   *XftFonts [NXFTFONTS];

extern X_textln_style tsfreq;
extern X_textln_style tsgain;

extern XImage    *mastersect;
extern XImage    *lfshfsect;
extern XImage    *parm1sect;
extern XImage    *parm2sect;
extern XImage    *parm3sect;
extern XImage    *hfshfsect;
extern XImage    *redzita;
extern XImage    *bhpfil;
extern XImage    *bequal;
extern XImage    *bresp;
extern XImage    *bpres;

extern RotaryGeom  rg_hpfil;
extern RotaryGeom  rg_mgain;
extern RotaryGeom  rg_sgain;
extern RotaryGeom  rg_sfreq;
extern RotaryGeom  rg_sbndw;


#endif
